Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class RelationshipRoleMetaData

    java.lang.Object
      org.jboss.metadata.MetaData
          org.jboss.metadata.RelationshipRoleMetaData

All Implemented Interfaces:
  Cloneable, XmlLoadable

public class RelationshipRoleMetaData
extends MetaData

Represents one ejb-relationship-role element found in the ejb-jar.xml file's ejb-relation elements.

Version:
  $Revision: 1.8 $
Author:
  Dain Sundstrom

Field Summary

Fields inherited from class org.jboss.metadata.MetaData
`log, TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`RelationshipRoleMetaData(RelationMetaData relationMetaData)`

Method Summary
`String` | `getCMRFieldName()` Gets the name of the entity's cmr field for this role.
`String` | `getCMRFieldType()` Gets the type of the cmr field (i.e., collection or set)
`String` | `getEntityName()` Gets the name of the entity that has this role.
`RelationshipRoleMetaData` | `getRelatedRoleMetaData()` Gets the related role's metadata
`RelationMetaData` | `getRelationMetaData()` Gets the relation meta data to which the role belongs.
`String` | `getRelationshipRoleName()` Gets the relationship role name
`void` | `importEjbJarXml(Element element)` Non-operation.
`boolean` | `isCascadeDelete()` Should this entity be deleted when related entity is deleted.
`boolean` | `isMultiplicityMany()` Checks if the multiplicity is many.
`boolean` | `isMultiplicityOne()` Checks if the multiplicity is one.

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementAttribute, getElementContent, getElementContent, getFirstElementContent, getOptionalChild, getOptionalChild, getOptionalChildBooleanContent, getOptionalChildBooleanContent, getOptionalChildContent, getOptionalChildContent, getUniqueChild, getUniqueChildContent, importJbossXml, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationshipRoleMetaData

    public RelationshipRoleMetaData(RelationMetaData relationMetaData)

Method Detail

### getRelationshipRoleName

    public String getRelationshipRoleName()

  Gets the relationship role name

### getRelationMetaData

    public RelationMetaData getRelationMetaData()

  Gets the relation meta data to which the role belongs.

### getRelatedRoleMetaData

    public RelationshipRoleMetaData getRelatedRoleMetaData()

  Gets the related role's metadata

### isMultiplicityOne

    public boolean isMultiplicityOne()

  Checks if the multiplicity is one.

### isMultiplicityMany

    public boolean isMultiplicityMany()

  Checks if the multiplicity is many.

### isCascadeDelete

    public boolean isCascadeDelete()

  Should this entity be deleted when related entity is deleted.

### getEntityName

    public String getEntityName()

  Gets the name of the entity that has this role.

### getCMRFieldName

    public String getCMRFieldName()

  Gets the name of the entity's cmr field for this role.

### getCMRFieldType

    public String getCMRFieldType()

  Gets the type of the cmr field (i.e., collection or set)

### importEjbJarXml

    public void importEjbJarXml(Element element)
                         throws org.jboss.deployment.DeploymentException

  Description copied from class: `MetaData`
  Non-operation.

  Overrides:
    `importEjbJarXml` in class `MetaData`
  Parameters:
    `element` -
  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.